import HeaderNav from "./_ui/HeaderNav";
import SiderNav from "./_ui/SiderNav";
import '@fortawesome/fontawesome-svg-core/styles.css'
import Search from "./_ui/Search";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import { faArrowRotateBack, faDeafness, faImage, faMagnet, faMessage, faPenClip, faSearch, faThumbsUp, faVideo } from '@fortawesome/free-solid-svg-icons'
import { LinkTypeItem } from "./_lib/types";
import PosterBox from "./_ui/PosterBox";

const defaultLinkList = [
  {
    label: 'AI应用集',
    icon: <FontAwesomeIcon icon={faThumbsUp} className="fa-fw text-[20px]" />,
    href: '/ai-apps',
    id: 1,

  },
  {
    label: 'AI写作工具',
    icon: <FontAwesomeIcon icon={faPenClip} className="fa-fw text-[20px]" />,
    href: '/?type=ai-writing',
    id: 2,
  },
  {
    label: 'AI图像工具',
    icon: <FontAwesomeIcon icon={faImage} className="fa-fw  text-[20px]" />,
    href: '/?type=ai-image',
    id: 3,
  },
  {
    label: 'AI办公工具',
    icon: <FontAwesomeIcon icon={faArrowRotateBack} className="fa-fw text-[20px]" />,
    href: '/?type=ai-office',
    id: 4,
  },
  {
    label: 'AI对话聊天',
    icon: <FontAwesomeIcon icon={faMessage} className="fa-fw text-[20px]" />,
    href: '/?type=ai-chat',
    id: 5,
  },
  {
    label: 'AI编程工具',
    icon: <FontAwesomeIcon icon={faMagnet} className="fa-fw text-[20px]" />,
    href: '/?type=ai-programming',
    id: 6,
  },
  {
    label: 'AI搜索引擎',
    icon: <FontAwesomeIcon icon={faSearch} className="fa-fw text-[20px]" />,
    href: '/?type=ai-search',
    id: 7,
  },
  {
    label: 'AI音频工具',
    icon: <FontAwesomeIcon icon={faVideo} className="fa-fw text-[20px]" />,
    href: '/?type=ai-audio',
    id: 8,
  },
  {
    label: 'AI开发平台',
    icon: <FontAwesomeIcon icon={faDeafness} className="fa-fw text-[20px]" />,
    href: '/?type=ai-platform',
    id: 9,
  }
] as LinkTypeItem[];
export default async function Home() {


  return (
    <div className="flex min-h-full w-full font-[family-name:var(--font-geist-sans)] relative">
      <SiderNav linkList={defaultLinkList} />
      <div className="absolute -z-10 from-[#E6EEF4] h-[50vh] w-full  bg-gradient-to-br   via-[#F1ECF4] to-[#F5ECEA]">

        <div className="absolute z-10 from-[#F9F9F9] left-0 to-transparent bg-gradient-to-t w-full h-[100px] bottom-[0px]">
        </div>

      </div>
      <main className="flex-1 relative  flex  flex-col p-5  gap-y-4">

        <HeaderNav></HeaderNav>
        <Search></Search>
        <PosterBox posterList={[]} />

        <div className="flex w-full flex-col">
          {
            defaultLinkList.map(item => (
              <div className="flex flex-col" key={item.id}>
                <div className="flex items-center text-[#555555]  ">

                  {item.icon}
                  <span>{item.label}</span>
                </div>
              </div>
            ))
          }
        </div>
      </main>
    </div>
  );
}
